# ng-new

Create a workspace

## Usage

```bash
ng generate ng-new ...

```

## Options

### name

Type: `string`

The name of the workspace.

### style

Default: `css`

Type: `string`

The file extension to be used for style files.

### directory

Type: `string`

The directory name to create the workspace in.

### npmScope

Type: `string`

Npm scope for importing libs.

### skipInstall

Default: `false`

Type: `boolean`

Skip installing dependency packages.

### skipGit

Alias(es): g

Default: `false`

Type: `boolean`

Skip initializing a git repository.

### commit

Default: `true`

Type: `boolean`

Initial repository commit information.

### preset

Default: `empty`

Type: `string`

What to create in the new workspace
